esme-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: ESME » Apache Enterprise Social Messaging Environment (ESME) #815
Date Thu, 29 Dec 2011 13:18:08 GMT
See <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/815/>

------------------------------------------
<===[JENKINS REMOTING CAPACITY]===>   channel started
Executing Maven:  -B -f <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/pom.xml>
clean install
[INFO] Scanning for projects...
[WARNING] 
[WARNING] Some problems were encountered while building the effective model for org.apache.esme:esme-server:war:apache-esme-1.4
[WARNING] 'dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: junit:junit:jar
-> version 3.8.1 vs 4.4 @ line 308, column 21
[WARNING] 'build.plugins.plugin.version' for org.mortbay.jetty:maven-jetty-plugin is missing.
@ line 344, column 21
[WARNING] 'build.plugins.plugin.version' for net.sf.alchim:yuicompressor-maven-plugin is missing.
@ line 352, column 21
[WARNING] 'build.plugins.plugin.version' for org.apache.rat:apache-rat-plugin is missing.
@ line 321, column 21
[WARNING] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-eclipse-plugin
is missing. @ line 368, column 21
[WARNING] 'reporting.plugins.plugin.version' for org.scala-tools:maven-scala-plugin is missing.
@ line 468, column 21
[WARNING] 'repositories.repository.layout' for Apache Repo uses the unsupported value 'legacy',
artifact resolution might fail. @ line 121, column 23
[WARNING] 
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
[WARNING] 
[WARNING] For this reason, future Maven versions might no longer support building such malformed
projects.
[WARNING] 
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building Apache Enterprise Social Messaging Environment (ESME) apache-esme-1.4
[INFO] ------------------------------------------------------------------------
Downloading: http://scala-tools.org/repo-releases/org/apache/rat/apache-rat-plugin/maven-metadata.xml
Downloading: http://scala-tools.org/repo-releases/org/mortbay/jetty/maven-jetty-plugin/maven-metadata.xml
Downloading: http://scala-tools.org/repo-releases/net/sf/alchim/yuicompressor-maven-plugin/maven-metadata.xml
Downloading: http://scala-tools.org/repo-releases/org/apache/maven/plugins/maven-eclipse-plugin/maven-metadata.xml
Downloading: http://scala-tools.org/repo-releases/org/mortbay/jetty/jetty/maven-metadata.xml
Downloading: http://repo.compass-project.org/org/mortbay/jetty/jetty/maven-metadata.xml
Downloading: http://scala-tools.org/repo-snapshots/org/mortbay/jetty/jetty/maven-metadata.xml
Downloading: http://repo2.maven.org/maven2/org/mortbay/jetty/jetty/maven-metadata.xml
Downloading: http://maven.twttr.com/org/mortbay/jetty/jetty/maven-metadata.xml
Downloading: http://repo1.maven.org/maven2/org/mortbay/jetty/jetty/maven-metadata.xml
Downloaded: http://repo2.maven.org/maven2/org/mortbay/jetty/jetty/maven-metadata.xml (3 KB
at 3.6 KB/sec)
Downloaded: http://repo1.maven.org/maven2/org/mortbay/jetty/jetty/maven-metadata.xml (3 KB
at 2.9 KB/sec)
[WARNING] Could not transfer metadata org.mortbay.jetty:jetty/maven-metadata.xml from/to Apache
Repo (http://people.apache.org/repo/m1-ibiblio-rsync-repository): No connector available to
access repository Apache Repo (http://people.apache.org/repo/m1-ibiblio-rsync-repository)
of type legacy using the available factories WagonRepositoryConnectorFactory
[INFO] 
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ esme-server ---
[INFO] Deleting <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/target>
log4j:WARN No appenders could be found for logger (org.apache.commons.beanutils.converters.BooleanConverter).
log4j:WARN Please initialize the log4j system properly.
[INFO] 
[INFO] --- maven-resources-plugin:2.4.3:resources (default-resources) @ esme-server ---
[WARNING] Using platform encoding (ANSI_X3.4-1968 actually) to copy filtered resources, i.e.
build is platform dependent!
[INFO] Copying 13 resources
[INFO] 
[INFO] --- yuicompressor-maven-plugin:0.7.1:compress (default) @ esme-server ---
[INFO] nb warnings: 0, nb errors: 0
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ esme-server ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- maven-scala-plugin:2.9:compile (default) @ esme-server ---
[INFO] suggestion: remove the scalaVersion from pom.xml
[ERROR] <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/src/main/scala>
[ERROR] <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/src/main/scala/../scala>
[INFO] Compiling 66 source files to /x1/jenkins/jenkins-slave/workspace/ESME/server/target/classes
[WARNING] /x1/jenkins/jenkins-slave/workspace/ESME/server/src/main/scala/org/apache/esme/model/UserAuth.scala:389:
warning: match is not exhaustive!
[WARNING] missing combination        Failure
[WARNING] missing combination   ParamFailure
[WARNING] 
[WARNING]         S.request match {
[WARNING]           ^
[WARNING] /x1/jenkins/jenkins-slave/workspace/ESME/server/src/main/scala/org/apache/esme/model/UserAuth.scala:473:
warning: match is not exhaustive!
[WARNING] missing combination        Failure
[WARNING] missing combination   ParamFailure
[WARNING] 
[WARNING]               user <- UserAuth.find(By(UserAuth.authKey, name),
[WARNING]                    ^
[WARNING] warning: there were 19 deprecation warnings; re-run with -deprecation for details
[WARNING] warning: there were 13 unchecked warnings; re-run with -unchecked for details
[WARNING] four warnings found
[INFO] [WARNING] Using platform encoding (ANSI_X3.4-1968 actually) to copy filtered resources,
i.e. build is platform dependent!
[INFO] skip non existing resourceDirectory <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/src/test/resources>

[INFO] --- maven-resources-plugin:2.4.3:testResources (default-testResources) @ esme-server
---
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ esme-server ---
[INFO] Nothing to compile - all classes are up to date
[INFO] [INFO] suggestion: remove the scalaVersion from pom.xml
[ERROR] <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/src/test/scala>
[ERROR] <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/src/test/scala/../scala>

[INFO] --- maven-scala-plugin:2.9:testCompile (default) @ esme-server ---
[INFO] Compiling 8 source files to /x1/jenkins/jenkins-slave/workspace/ESME/server/target/test-classes
[WARNING] /x1/jenkins/jenkins-slave/workspace/ESME/server/src/test/scala/org/apache/esme/JettySetup.scala:33:
error: WebAppContext is not a member of org.mortbay.jetty.webapp
[WARNING] import org.mortbay.jetty.webapp.WebAppContext
[WARNING]        ^
[WARNING] /x1/jenkins/jenkins-slave/workspace/ESME/server/src/test/scala/org/apache/esme/api/ApiTest.scala:32:
error: WebAppContext is not a member of org.mortbay.jetty.webapp
[WARNING] import org.mortbay.jetty.webapp.WebAppContext
[WARNING]        ^
[WARNING] /x1/jenkins/jenkins-slave/workspace/ESME/server/src/test/scala/org/apache/esme/JettySetup.scala:48:
error: not found: type WebAppContext
[WARNING]     val context = new WebAppContext()
[WARNING]                       ^
[WARNING] three errors found
[JENKINS] Archiving <https://builds.apache.org/job/ESME/org.apache.esme$esme-server/ws/pom.xml>
to /home/hudson/hudson/jobs/ESME/modules/org.apache.esme$esme-server/builds/2011-12-29_13-17-00/archive/org.apache.esme/esme-server/apache-esme-1.4/esme-server-apache-esme-1.4.pom


Mime
View raw message